<!DOCTYPE html PUBLIC "-//WAPFORUM//DTD XHTML Mobile 1.2//EN"
"http://www.openmobilealliance.org/tech/DTD/xhtml-mobile12.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<?php
		
		// >>> Fetch seo data for this section
	if ( ! $this->is_tour ) {
		if ( isset($this->params['zone']) && !empty( $this->params['zone'] ) ) {
			$entity = 'm-cityzone';
		}
		elseif ( isset($this->params['city']) && !empty( $this->params['city'] ) ) {
			$entity = 'm-city';
		}
		elseif ( isset($this->params['region']) && !empty( $this->params['region'] ) ) {
			$entity = 'm-region';
		}
	}
	
	if ( isset($entity) ) {
		$tpl_data = array();
		$primary_id = 0;

		switch ( $entity ) {
			case 'm-city':
				$m = new Cubix_Geography_Cities();
				$city = $m->getBySlug($this->params['city']);

				if ( ! $city ) break;

				$primary_id = $city->id;
				$tpl_data['city'] = $city->title;
				$tpl_data['region'] = $city->getRegionTitle();
				break;
			case 'm-cityzone':
				$m = new Cubix_Geography_Cityzones();
				$cityzone = $m->getBySlug($this->params['zone']);

				if ( ! $cityzone ) break;

				$primary_id = $cityzone->id;

				$tpl_data['cityzone'] = $cityzone->title;
				$city = $cityzone->getCity();
				$tpl_data['city'] = $city->title;
				$tpl_data['region'] = $city->getRegionTitle();

				break;
		}

		$seo = $this->seo($entity, $primary_id, $tpl_data);


		if ( $seo ) {
			if ( strlen($seo->title) ) {
				$seo->title = $seo->title.' - Mobile';
				$this->headTitle($seo->title, 'SET');
			}

			if ( strlen($seo->keywords) ) {
				$this->headMeta()->setName('keywords', $seo->keywords);
			}

			if ( strlen($seo->description) ) {
				$this->headMeta()->setName('description', $seo->description);
			}

			$this->layout()->footer_text = $seo->footer_text;
		}
	}else{
		$seo = $this->seo('m-home-page-' . $this->static_page_key, null, array('app_title' => Cubix_Application::getById()->title));
		if ( $seo ) {
			if ( strlen($seo->title) ) {
				$this->headTitle($seo->title.' - Mobile', 'SET');
			}

			if ( strlen($seo->keywords) ) {
				$this->headMeta()->setName('keywords', $seo->keywords);
			}

			if ( strlen($seo->description) ) {
				$this->headMeta()->setName('description', $seo->description);
			}

			if ( strlen($seo->footer_text) ) {
				$this->layout()->footer_text = $seo->footer_text;
			}
		}
	}
	// <<<
	?>

	<?= $this->headTitle() ?>
	<?= $this->headMeta() ?>


<? /*		<title>6annonce.com - Mobile</title> */ ?>
		<link rel="stylesheet" type="text/css" href="<?= _stm('style.css') ?>" media="screen,handheld, screen and (max-device-width: 480px)" />
		<link rel="stylesheet" type="text/css" href="<?= _stm('media.css') ?>" media="screen,handheld, screen and (max-device-width: 480px)" />
		<link rel="stylesheet" type="text/css" href="<?= _stm('private.css') ?>" media="screen,handheld, screen and (max-device-width: 480px)" />
      <? /*  <meta name="viewport" content="width=320,initial-scale=1.0" />*/ ?>
        <meta name="viewport" content="user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0, width=device-width" />
        <meta name="HandheldFriendly" content="true" />
        <meta http-equiv="Content-Type" content="application/xhtml+xml; charset=UTF-8" />
        <meta http-equiv="cache-control" content="no-transform" />
		
		<script type="text/javascript" src="<?= _stm('moo.js') ?>"></script>
		<script type="text/javascript" src="<?= _stm('global.js') ?>"></script>
		<script type="text/javascript" src="<?= _stm('overlay.js') ?>"></script>
		<script type="text/javascript" src="<?= _stm('private.js') ?>"></script>
		
		<?= $this->headScript()	?>

		<script type="text/javascript">
			window.addEvent('domready', function() {
				img = new Image();
				img.src = "<?= _stm('vmenu/row_bg_hover.png') ?>";

				var initMenu = function() {
					var menu = $('vertical-menu-v2');

					if ( menu.hasClass('closed') ) {
						menu.removeClass('closed');
					} else {
						menu.addClass('closed');
					}
				}

				$('nav-bar-btn').addEvent('click', function(e){
					e.stop();

					initMenu();
				});

				$$('#vertical-menu-v2 .x').addEvent('click', function(e){
					e.stop();

					initMenu();
				});

				/*var menu = new Fx.Slide('vertical-menu', {
				 duration: 300,
				 transition: Fx.Transitions.Quart.easeIn
				 });
				 menu.hide();
				 $('nav-bar-btn').addEvent('click', function(event){
				 event.stop();
				 menu.toggle();
				 });
				 $$('#vertical-menu .x').addEvent('click', function(e){
				 e.stop();

				 menu.toggle();
				 });*/
			});
		</script>
	</head>
	<body>
		<div id="wrap">
			<div id="header" class="h75">
				<div class="i">

					<div id="nav-bar-btn"></div>
					<div id="vertical-menu-v2" class="closed">
						<ul>
							<li class="title"><span class="arrow">Main Menu</span><span class="x"></span></li>

							<li><a rel="nofollow" href="<?= $this->getLink('escorts', array('region' => isset($this->region_slug) ? $this->region_slug : null, 'nuove'), true) ?>"><?= __('new') ?></a></li>
							<li><a rel="nofollow" href="<?= $this->getLink('search') ?>"><?= __('search') ?></a></li>
							<li><a rel="nofollow" href="<?= $this->getLink('favorites') ?>"><?= __('favorites') ?></a></li>

							<? if (!$user = Model_Users::getCurrent()): ?>
								<li><a rel="nofollow" href="<?= $this->getLink('private'); ?>"><?= __('login') ?></a></li>
							<? else: ?>
								<li><a rel="nofollow" href="<?= $this->getLink('private'); ?>"><?= __('private_area') ?></a></li>
							<? endif; ?>
							<li><a rel="nofollow" href="http://www.and6.ch/?full_version=1"><?= __('switch_to_classic') ?></a></li>

							<li class="title"><span class="arrow">Legal</span></li>
							<li><a rel="nofollow" href="<?= $this->getLink('terms'); ?>">Allg.Geschäftsbedingungen<? __('terms_and_conditions') ?></a></li>
							<li class="copy">&copy; <?= date('Y') ?> <a href="http://www.and6.ch">and6.ch</a></li>
						</ul>
					</div>

					<a id="logo" href="<?= $this->getLink(); ?>"><img src="/m/i/logo.png" width="170" height="40"/></a>

					<? if (!$user = Model_Users::getCurrent()): ?>
					<a id="signin-btn" href="<?= $this->getLink('private'); ?>"></a>
					<? else: ?>
					<a id="signout-btn" href="<?= $this->getLink('signout'); ?>"></a>
					<? endif; ?>

					<? /*
					<ul id="menu">
						<li class="w20">
							<? if ($this->menuHome): ?>
								<div class="leftTopAngleActive"></div>
								<div class="rightTopAngleActive"></div>
								<div class="menuItemActive">
									<span>Home</span>
								</div>
							<? else: ?>
								<div class="leftTopAngle"></div>
								<div class="rightTopAngle"></div>
								<div class="menuItem">
									<a href="<?= $this->getLink('') ?>" accesskey="1">

										Home</a>
								</div>
							<? endif; ?>
						</li>
						<li class="w27">
							<? if ($this->menuSearch): ?>
								<div class="leftTopAngleActive"></div>
								<div class="rightTopAngleActive"></div>
								<div class="menuItemActive">
									<span><?= __('search') ?></span>
								</div>
							<? else: ?>
								<div class="leftTopAngle"></div>
								<div class="rightTopAngle"></div>
								<div class="menuItem">
									<a href="<?= $this->getLink('search') ?>" accesskey="2"
									   rel="nofollow"><?= __('search') ?></a></div>
							<? endif; ?>

						</li>
						<li class="<?= (Cubix_I18n::getLang() == 'en') ? "w28" : "w28"; ?>">
							<? if ($this->menuFavorites): ?>
								<div class="leftTopAngleActive"></div>
								<div class="rightTopAngleActive"></div>
								<div class="menuItemActive">
									<span><?= __('favorites') ?></span>
								</div>
							<? else: ?>
								<div class="leftTopAngle"></div>
								<div class="rightTopAngle"></div>
								<div class="menuItem"><a href="<?= $this->getLink('favorites') ?>"
														 accesskey="3"><?= __('favorites') ?></a></div>
							<? endif; ?>
						</li>
						<li class="<?= (Cubix_I18n::getLang() == 'en') ? "w20" : "w20"; ?>">
							<? if ($this->menuNew): ?>
								<div class="leftTopAngleActive"></div>
								<div class="rightTopAngleActive"></div>
								<div class="menuItemActive">
									<span><?= __('new') ?></span>
								</div>
							<? else: ?>
								<div class="leftTopAngle"></div>
								<div class="rightTopAngle"></div>
								<div class="menuItem"><a
										href="<?= $this->getLink('escorts', array('region' => isset($this->region_slug) ? $this->region_slug : null, 'nuove'), true) ?>"
										accesskey="3"><?= __('new') ?></a></div>
							<? endif; ?>
						</li>
					</ul>*/ ?>

					<?
					$region_slug = $this->region_slug;

					$flag_lang = 'de';
					if ($region_slug == 'romandie') {
						$flag_lang = 'fr';
					} else if ($region_slug == 'ticino') {
						$flag_lang = 'it';
					}

					$uri = $this->getLink('trim', array('request_url' => $_SERVER['REQUEST_URI']), true);

					$ln = $this->request()->ln;
					if (preg_match("#ln=" . $ln . "#", $uri)) {
						$patterns = array();
						$patterns[0] = '/\?ln=([a-z][a-z])/';
						$replacements = array();
						$replacements[0] = '';
						$uri = preg_replace($patterns, $replacements, $uri);
					}

					if (preg_match("#\?#", $uri)) {
						$uri .= '&ln=%s';
					} else {
						$uri .= '?ln=%s';
					}
					?>

					<div class="flags alr">
						<a href="/<?= sprintf($uri, 'en') ?>" class="flag-en"></a>
						<a href="/<?= sprintf($uri, $flag_lang) ?>" class="flag-<?= $flag_lang ?>"></a>

						<div class="clear"></div>
					</div>
					<div class="clear"></div>
				</div>
			</div>

            <? if (!$user = Model_Users::getCurrent()): ?>
                <a class="login-resp" href="<?= $this->getLink('private'); ?>">Login</a>
            <? else: ?>
                <a class="login-resp" href="<?= $this->getLink('signout'); ?>">Logout</a>
            <? endif; ?>

			<div id="m-private">
				<div id="page" class="index-page-padding private-layout">
					<? if( !$this->hideBack ): ?>
					<div id="top-bar">
						<div class="no-border" id="btn-bar">
							<a href="<?php echo $this->getLink('private');?>" class="btn-small fleft back-button">
								<span class="icon-back">back</span>
							</a>
							<div class="clear"></div>
						</div><? /* btn-bar */ ?>
					</div>
					<? endif; ?>
					
					<div class="cbox">
						<div class="cbox-i">
							<div class="cbox-ii">
								<div class="gray-box">								
									
									<? if ( $this->user->isAgency() ) $eid = $this->escort->id; ?>
									<form class="form" action="<?= $this->getLink('private-v2-profile', array(), true) ?>" method="post" enctype="multipart/form-data">
										<? if ( isset($eid) ): ?><input type="hidden" name="escort" value="<?= $eid ?>" /><? endif ?>
										<input type="hidden" name="step" value="<?= $this->step ?>" />
										<input type="hidden" name="then" value="" />
										<input type="hidden" name="dont" value="" />
										
										<? if ( $this->mode == 'create' ): ?>
											<?= $this->tabsCreate($this->layout()->content, $this->mode) ?>
										<? else: ?>
											<?= $this->tabsUpdate($this->layout()->content, $this->mode) ?>
										<? endif; ?>
										
									</form>
									
									<script type="text/javascript">
											FormErrors.init(<?= json_encode($this->errors) ?>);
									</script>
					
								
								</div><!-- gray-box -->
							</div><!-- cbox-ii -->
						</div><!-- cbox-i -->
					</div><!-- cbox -->			
								
				</div>
			</div>
		</div>
		<div id="footer_conteiner" class="footer_conteiner_private">
			
	<? /*menuSearch*/ ?>
			<div id="footer">
				
				<a href="#"><?= __('back_to_top')?></a> |
				
				<? if($this->menuHome): ?>
				    <span><?= __('home')?></span> |
				<? else: ?>
				    <a href="<?=$this->getLink();?>"><?= __('home')?></a> |
				<? endif ?>

				<? if($this->menuSearch): ?>
				    <span>Search</span> |
				<? else: ?>
				    <a href="<?=$this->getLink('search');?>" rel="nofollow"><?= __('search')?></a> |
				<? endif ?>
				    <a href="<?= $this->getLink('favorites')?>"><?= __('favorites')?></a><br/>

				<? if (!$user = Model_Users::getCurrent()): ?>
					<a href="<?= $this->getLink('private'); ?>">Signin </a>
				<? else: ?>
					<a href="<?= $this->getLink('private'); ?>">Private Area </a>
				<? endif; ?>

				&nbsp;  <a href="http://www.and6.ch/?full_version=1" class="classic_btn2"><?= __('switch_to_classic')?></a><br/>

				&copy; <?= date('Y') ?> <a href="http://and6.ch">and6.ch</a>, <a href="<?=$this->getLink('terms');?>"><?= __('m_terms_and_conditions')?></a>
			</div>
		</div>
		
		<?= $this->render('google-analytics.phtml') ?>
	</body>
</html>
